<%

'***************************************************************
'*                                                             *
'*   Est cdigo fu desarrollado por el rea de Desarrollo    *
'* del Rectorado de la Universidad Tecnolgica Nacional de     *
'* Argentina y forma parte del mdulo SysacadWEB del Sistema   *
'* de gestin acadmica SYSACAD.                               *
'*                                                             *
'*   Publicado bajo licencia GNU. Puede copiarse y modificarse *
'* mientras se mantenga este comentario y toda modificacin se *
'* enve a soportesysacad@asiutn.org.ar para que pueda ser     *
'* utilizada libremente por otros desarrolladores.             *
'*                                                             *
'*   Este archivo es normalmente modificado en cada actualiza- *
'* cin del mdulo SysacadWEB por lo que no es conveniente su  *
'* modificacin porque se perdera la compatibilidad con       *
'* versiones futuras. Si se desea cambiar variables hgalo en  *
'* archivo local\config.asp que no se pisa nunca               *
'*                                                             *
'***************************************************************


'********************************************************************************
'*                 VARIABLES PRINCIPALES DE SYSACAD WEB                         *
'********************************************************************************
dim Facultad, boletoEstudiantil, facultadAlumno
dim TimeOut1,TimeOut2,TimeOut3
dim AutoLogoffAlumno,AutoLogoffDocente,AutoLogoffCargaNotas,AutoLogoffCargaEncuesta
' Cadena de conexin a ADO. 
' Debe terner permiso de SELECT e INSERT a la tabla PETICIONESSERVIDOR 
' de la base de datos del SYSACAD. Por seguridad es conveniente que no tenga
' acceso a ninguna tabla mas, y que tampoco tenga DELETE o UPDATE a esa tabla
' para evitar que un hacker pueda eliminar rastros.
CadenaConexion = "dsn=AutogestionSysacad"
' Bandera que indica si una vez logueado el alumno mantiene el mismo
' servidor de peticiones en toda su sesin, a fin de utilizar eficientemente 
' el cach de correlatividades. Esto implica que la instancia que atiende
' la peticin de login (300) debe atender todas las dems peticiones de alumno
MantieneServidor=true
' Nombre de la facultad, usado unicamente en membrete.htm
Facultad="Facultad Regional XXX"
' Bandera para la habilitacion del modulo de boleto estudiantil
' Las facultades permitidas son: 1-Avellaneda, 2- Bahia Blanca, 5-La Plata, 9-San Nicolas, 
' 15-Haedo, 18-Pacheco, 21-Trenque Lauquen, 23-Delta, 36- Mar del Plata
' Por defecto el boleto esta deshabilitado
boletoEstudiantil=false
' Prefijo utilizado a acceder a la tabla PETICIONESSERVIDOR. Debe usarse
' en caso de que no se haya instalado el sistema con un usuario DBO sobre
' su base de datos. Ej ="sysacad.usersys."
PrefijoPeticiones=""
' Tiempo de espera (TIMEOUT) en segundos de peticiones rpidas.
Timeout1=20
' Tiempo de espera (TIMEOUT) en segundos de peticiones medias.
Timeout2=40
' Tiempo de espera (TIMEOUT) en segundos de peticiones lentas.
Timeout3=60

'Error cuando la peticin queda en 0 despus del tiempo de espera
ErrorTimeOutEn0="No est ejecutndose el servidor de peticiones. Vuelva a intentar mas tarde."
'Error cuando la peticin queda en 1 despus del tiempo de espera
ErrorTimeOutEn1="El servidor de peticiones ha dejado de responder. Vuelva a intentar mas tarde."

'Tiempo mximo que se mantiene logueado un alumno sin efectuar operaciones
AutoLogoffAlumno=4
'Tiempo mximo que se mantiene logueado un docente sin efectuar operaciones
AutoLogoffDocente=5
'Tiempo mximo que se mantiene logueado un docente al cargar notas sin grabar o efectuar otra operacion
AutoLogoffCargaNotas=15
'Tiempo mximo que se mantiene logueado al cargar una encuesta sin grabar o efectuar otra operacion
AutoLogoffCargaEncuesta=15
'*********************************************************************************
'*                      VARIABLES DE CAMBIO DE ESTILO                            *
'*                                                                               *
'*  Variables que permiten cambiar el estilo del texto de las pginas de SYSACAD *
'*  Web para adaptarlo al estilo habitual del sitio                              *
'*********************************************************************************
dim EstiloTitulo,EstiloBody,EstiloTituloTabla,EstiloTextoTabla,EstiloTextoSubtituloTabla
dim EstiloTextoError,EstiloAvisoMensajes
dim EstiloTextoModificado,EstiloTextoProblema,EstiloTextoResaltado
dim ColorTabla,ColorFondoTabla
' Estilo CSS utilizado en los ttulos de membrete.htm
EstiloTitulo=".titulo {color: #0000FF; font-family: ""Comic Sans MS""}"
' Estilo CSS utilizado en el body de todas las pginas. Aqu pueden ponerse fondos, etc.
EstiloBody="body {background-image:url(""fondo.gif"")}"
' Estilo CSS utilizado para colocar los ttulos de las tablas de informacin en las pginas
EstiloTituloTabla=".tituloTabla {background-color: #0000FF; color: #FFFFFF; font-family: ""Comic Sans MS""; text-align: center}"
' Estilo CSS utilizado para el texto dentro de las tablas
EstiloTextoTabla=".textoTabla {font-family: ""Times new Roman""}"
' Estilo CSS utilizado para el texto dentro de las tablas
EstiloTextoSubtituloTabla=".textoSubtituloTabla {font-family: ""Times new Roman"";color:DarkRed; font-weight:bold}"
' Estilo CSS utilizado para los mensajes de error
EstiloTextoError=".textoError {font-family: ""Comic Sans MS"";color:red}"
' Estilo CSS utilizado para dar aviso de mensajes
EstiloAvisoMensajes=".textoAvisoMensajes {font-family: ""Comic Sans MS"";color:red;text-align: center}"
' Estilo de texto para registros que fueron modificados
EstiloTextoModificado=".textoModificado {color:blue}"
' Estilo de texto para notas de aplazos
EstiloTextoResaltado=".textoResaltado {font-weight:bold;color:darkred}"
' Estilo de texto para notas de aplazos
EstiloTextoProblema=".TextoProblema {color:red}"
' Color de borde de tablas
ColorTabla="#0000FF" ' Azul
' Color de fondo de tablas
ColorFondoTabla="#FFFFFF" ' Blanco
'**********************************************************************************
'*                   VARIABLES DE AGREGADO DE TEXTO                               *
'*                                                                                *
'* Las siguientes variables representan pies que opcionalmente se incluyen en las *
'* pginas generadas. Estas variables deben ser expresadas en cdigo HTML, por    *
'* ejemplo                                                                        *
'*    pieLoginAlumno="<p align=center>Recuerde pasar por...</p>"                  *
'* Si se desea incluir todo un trozo de cdigo, puede incluirse un archivo        *
'* HTML de la manera ="#archivo.htm, como por ejemplo                             *
'*    pieLoginAlumno="#local/PieLoginAlumno.htm"                                  *
'**********************************************************************************
dim pieLoginAlumno,pieMenuAlumno,pieCambioPassword
dim pieMateriasExamen,pieCondicionalExamen,pieCorrelatividadExamen,pieFechasExamen
dim pieCertificadoExamen,pieInscripcionExamen,pieWebComision
dim pieMateriasCursado,pieCondicionalCursado,pieCorrelatividadCursado,pieCursosCursado
dim pieCertificadoCursado,pieInscripcionCursado,pieAvisoAlumno
dim pieMateriasPlan,pieEstadoAcademico,pieParciales,pieCorrelatividadCursar,pieCorrelatividadRendir
dim pieExamenes

dim pieLoginDocente,pieMenuDocente,pieCambioPasswordDocente,pieAvisoDocente,pieWebComisionDocente
dim pieMateriasDocente,pieTribunalesDocente,pieDatosDictadoDocente,pieAlumnosTribunal
dim leyendaSeguridadRegularidadDocente

' Pgina de ingreso
pieLoginAlumno=""
' Pgina de men de alumnos
pieMenuAlumno=""
' Pgina de cambio de password
pieCambioPassword=""
' Pgina de materias para inscribir a examen
pieMateriasExamen=""
' Colocado al pi de la pgina de avisos de alumnos
pieAvisoAlumno=""
' Colocado al ofrecer inscripcin condicional
pieCondicionalExamen=""
' Colocado al mostrar un error de correlatividad que no permite condicional
pieCorrelatividadExamen=""
' Pgina de fechas disponibles para examen
pieFechasExamen=""
' Colocado luego de inscribir un examen
pieInscripcionExamen=""
' Pgina de certificado de examen
pieCertificadoExamen=""
' Pgina de materias para inscribir a cursado
pieMateriasCursado=""
' Colocado al ofrecer inscripcin condicional a cursado
pieCondicionalCursado=""
' Colocado al mostrar un error de correlatividad que no permite condicional en cursado
pieCorrelatividadCursado=""
' Pgina de comisiones disponibles para cursar
pieCursosCursado=""
' Colocado luego de borrar un cursado
pieInscripcionCursado=""
' Pgina de certificado de cursado
pieCertificadoCursado=""
' Pgina de materias del plan
pieMateriasPlan=""
' Pgina estado acadmico
pieEstadoAcademico=""
' Pgina de notas de parciales
pieParciales=""
' Pgina de correlatividad para rendir
pieCorrelatividadCursar=""
' Pgina de correlatividad para cursar
pieCorrelatividadRendir=""
' Pi exmenes del alumno
pieExamenes=""
' Pi web comision
pieWebComision=""

'*** Variables de Docentes ****
' Pgina de ingreso docente
pieLoginDocente=""
' Pgina de men de docentes
pieMenuDocente=""
' Pgina de cambio de password
pieCambioPasswordDocente=""
' Pgina de materias que dicta el docente
pieMateriasDocente=""
' Pgina de tribunales que integra el docente
pieTribunalesDocente=""
' Colocado al pi de la pgina de avisos de docentes
pieAvisoDocente=""
' Colocado al pi de la pgina de datos de materia dictada por el docente 
' cuando existen registros modificados y no confirmados
leyendaSeguridadRegularidadDocente="Para hacer efectivo los cambios a los alumnos marcados con (*) deber comunicarse con su departamento."
' Colocado al pi de la pgina de datos de materia dictada por el docente
pieDatosDictadoDocente=""
' Colocado al pi de la pgina de alumnos del tribunal
pieAlumnosTribunal=""
' Pi web comision
pieWebComisionDocente=""



'********************************************************************************
'*                        VARIABLES DE HABILITACION                             *
'*                                                                              *
'* Variables que habilitan o deshabilitan determinadas funciones dentro de      *
'* SYSACAD Web                                                                  *
'********************************************************************************
dim permiteCambioPassword,permiteNuevoLogin
dim permiteInscripcionExamen,permiteInscripcionCursado,permiteBorrarInscImpresa

' Indica si se permite cambiar el password
permiteCambioPassword=true
' Indica se se permite ingresar por primera vez con el DNI
permiteNuevoLogin=true
' Indica si se habilita la inscripcin a examen
permiteInscripcionExamen=true
'Indica si se permite la inscripcion a cursado
permiteInscripcionCursado=true
'Indica si se permite borrar una inscripcin impresa. 
permiteBorrarInscImpresa=false

'********************************************************************************
'*                        VARIABLES DOCENTES                                    *
'*                                                                              *
'********************************************************************************

dim directorioRecibos

' Directorio Recibos
directorioRecibos=""



'********************************************************************************
'*                        VARIABLES VARIAS                                      *
'*                                                                              *
'********************************************************************************
dim rutaLocalCertificado
dim rutaWebCertificado

'Facultad defecto
facultadAlumno=1

build=1921
%>